#include "TimeSwitcherInterfaceDto.h"

TimeSwitcherInterfaceDto::TimeSwitcherInterfaceDto(QObject *parent) : DeviceFrameBaseDto(parent)
{

}

QJsonObject TimeSwitcherInterfaceDto::toJSON()
{
    QJsonObject jsonObj;

    QJsonObject dataObj;
    dataObj.insert("ctrlStatus", ctrlStatus);

    jsonObj.insert("ts", this->milisecond);
    jsonObj.insert("frameType", this->frameType);
    jsonObj.insert("data", dataObj);

    return jsonObj;
}
